Subject: [Ltru] Re: [EAI] New draft for allowing UTF-8 in SMTP responses

From: "Doug Ewell" <[email-masked]>
Date: Sat, 19 Aug 2006 11:16:57 -0700

Martin Duerst <duerst at it dot aoyama dot ac dot jp> wrote:

> Section 3: "It also recommends that server recognizes languges that
>   have multiple different tags (for example "ru" and "rus")."
>
>   This is a bad idea. RFC 3066, and its successor RFC 3066bis
>   (draft-ietf-ltru-registry-14.txt, approved by the IESG and in
>    operation) both make it very clear that for languages that
>   have both two-letter and three-letter codes, only the two-letter
>   codes are used.
>
> Please update the reference to RFC 3066 to RFC3066bis.

In fact, if you update the reference to RFC 3066bis, your references to 
ISO 639-1 and ISO 639-2 (e.g. in Example 3 or Section 3) should be 
replaced by references to the IANA Language Subtag Registry:

http://www.iana.org/assignments/language-subtag-registry

This contains all valid subtags that can be used to generate a language 
tag according to the rules of RFC 3066bis.  Applications that implement 
your protocol may use a local copy of the Registry; they are not 
required to download the IANA-hosted copy on each use.

Using this model, the question about "rus" goes away, since that subtag 
does not exist in the Registry.

--
Doug Ewell
Fullerton, California, USA
http://users.adelphia.net/~dewell/
Editor, draft-ietf-ltru-initial

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru